{"openapi":"3.0.1","info":{"title":"Accountaggregator API","description":"Accountaggregator API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"https://aa.sandbox-bancaire.bpcisoftware.fr","description":"Generated server url"}],"paths":{"/api/transactions/{id}":{"get":{"tags":["transaction-resource"],"operationId":"getTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Transaction"}}}}}},"put":{"tags":["transaction-resource"],"operationId":"updateTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Transaction"}}}}}},"delete":{"tags":["transaction-resource"],"operationId":"deleteTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["transaction-resource"],"operationId":"partialUpdateTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/Transaction"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Transaction"}}}}}}},"/api/statements/{id}":{"get":{"tags":["statement-resource"],"operationId":"getStatement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Statement"}}}}}},"put":{"tags":["statement-resource"],"operationId":"updateStatement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Statement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Statement"}}}}}},"delete":{"tags":["statement-resource"],"operationId":"deleteStatement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["statement-resource"],"operationId":"partialUpdateStatement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Statement"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/Statement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Statement"}}}}}}},"/api/extraction-jobs/{id}":{"get":{"tags":["extraction-job-resource"],"operationId":"getExtractionJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}}}},"put":{"tags":["extraction-job-resource"],"operationId":"updateExtractionJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}}}},"delete":{"tags":["extraction-job-resource"],"operationId":"deleteExtractionJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["extraction-job-resource"],"operationId":"partialUpdateExtractionJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}}}}},"/api/extraction-errors/{id}":{"get":{"tags":["extraction-error-resource"],"operationId":"getExtractionError_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}}}}},"put":{"tags":["extraction-error-resource"],"operationId":"updateExtractionError","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}}}}},"delete":{"tags":["extraction-error-resource"],"operationId":"deleteExtractionError","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["extraction-error-resource"],"operationId":"partialUpdateExtractionError","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionError"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}}}}}},"/api/balances/{id}":{"get":{"tags":["balance-resource"],"operationId":"getBalance","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Balance"}}}}}},"put":{"tags":["balance-resource"],"operationId":"updateBalance","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Balance"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Balance"}}}}}},"delete":{"tags":["balance-resource"],"operationId":"deleteBalance","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["balance-resource"],"operationId":"partialUpdateBalance","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Balance"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/Balance"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Balance"}}}}}}},"/api/account-resumes/{id}":{"get":{"tags":["account-resume-resource"],"operationId":"getAccountResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"decryptIban","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountResume"}}}}}},"put":{"tags":["account-resume-resource"],"operationId":"updateAccountResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResume"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountResume"}}}}}},"delete":{"tags":["account-resume-resource"],"operationId":"deleteAccountResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["account-resume-resource"],"operationId":"partialUpdateAccountResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResume"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/AccountResume"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountResume"}}}}}}},"/api/transactions":{"get":{"tags":["transaction-resource"],"operationId":"getAllTransactions","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/TransactionCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}}}}}}},"post":{"tags":["transaction-resource"],"operationId":"createTransaction","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Transaction"}}}}}}},"/api/statements":{"get":{"tags":["statement-resource"],"operationId":"getAllStatements","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/StatementCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Statement"}}}}}}},"post":{"tags":["statement-resource"],"operationId":"createStatement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Statement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Statement"}}}}}}},"/api/statements/bulk-delete":{"post":{"tags":["statement-resource"],"operationId":"bulkDeleteStatements","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkStatementDeleteVM"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/extraction-jobs":{"get":{"tags":["extraction-job-resource"],"operationId":"getAllExtractionJobs","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ExtractionJobCriteria"}},{"name":"waitForBatch.equals","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtractionJob"}}}}}}},"post":{"tags":["extraction-job-resource"],"operationId":"createExtractionJob","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJob"}}}}}}},"/api/extraction-errors":{"get":{"tags":["extraction-error-resource"],"operationId":"getAllExtractionErrors","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ExtractionErrorCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExtractionError"}}}}}}},"post":{"tags":["extraction-error-resource"],"operationId":"createExtractionError","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}}}}}},"/api/extraction-errors/decompress":{"post":{"tags":["extraction-error-resource"],"operationId":"getExtractionError","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DecompressRequestExtractionError"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionError"}}}}}}},"/api/balances":{"get":{"tags":["balance-resource"],"operationId":"getAllBalances","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/BalanceCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Balance"}}}}}}},"post":{"tags":["balance-resource"],"operationId":"createBalance","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Balance"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Balance"}}}}}}},"/api/account-resumes":{"get":{"tags":["account-resume-resource"],"operationId":"getAllAccountResumes","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AccountResumeCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"excludeIgnored","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountResume"}}}}}}},"post":{"tags":["account-resume-resource"],"operationId":"createAccountResume","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResume"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountResume"}}}}}}},"/api/account-resumes/ignored":{"patch":{"tags":["account-resume-resource"],"operationId":"updateIgnoredStatusByIdentityIdAndAccountNumber","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAccountResumeIgnoredByIdentityAndNumberVM"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/UpdateAccountResumeIgnoredByIdentityAndNumberVM"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AccountResume"}}}}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/statements/last-non-empty":{"get":{"tags":["statement-resource"],"operationId":"getLastNonEmptyStatement","parameters":[{"name":"accountId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Statement"}}}}}}},"/api/statements/for-adjustment":{"get":{"tags":["statement-resource"],"operationId":"getStatementsForAdjustment","parameters":[{"name":"extractionJobId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StatementForAdjustmentDTO"}}}}}}}},"/api/statements/current-id/{currentId}":{"get":{"tags":["statement-resource"],"operationId":"getPreviousStatementByCurrentId","parameters":[{"name":"currentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Statement"}}}}}}},"/api/extraction-jobs/{id}/completion":{"get":{"tags":["extraction-job-resource"],"operationId":"getExtractionJobCompletion","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionJobCompletionDTO"}}}}}}},"/api/extraction-jobs/identity-ids-by-bank":{"get":{"tags":["extraction-job-resource"],"operationId":"getAllDistinctIdentityIdsByBankIds","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ExtractionJobCriteria"}},{"name":"waitForBatch.equals","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"queryParams","in":"query","required":true,"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}}}}},"/api/extraction-jobs/count":{"get":{"tags":["extraction-job-resource"],"operationId":"countExtractionJobs","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ExtractionJobCriteria"}},{"name":"waitForBatch.equals","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/extraction-errors/count":{"get":{"tags":["extraction-error-resource"],"operationId":"countExtractionErrors","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ExtractionErrorCriteria"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/extraction-completions/for-adjustment":{"get":{"tags":["extraction-completion-resource"],"operationId":"getExtractionCompletionForAdjustment","parameters":[{"name":"extractionJobId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtractionCompletionForAdjustmentDTO"}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/admin/users":{"get":{"tags":["user-resource"],"operationId":"getAllUsers","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}}},"/api/admin/users/{login}":{"get":{"tags":["user-resource"],"operationId":"getUser","parameters":[{"name":"login","in":"path","required":true,"schema":{"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AdminUserDTO"}}}}}}},"/api/account-resumes/incomplete":{"get":{"tags":["account-resume-resource"],"operationId":"getIncompleteAccountResumes","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"accountType","in":"query","required":true,"schema":{"type":"string","enum":["WEB","API"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IncompleteCrawledAccount"}}}}}}}},"/api/account-resumes/incomplete/count":{"get":{"tags":["account-resume-resource"],"operationId":"countIncompleteAccountResumes","parameters":[{"name":"accountType","in":"query","required":true,"schema":{"type":"string","enum":["WEB","API"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/account-resumes/count":{"get":{"tags":["account-resume-resource"],"operationId":"countAccountResumes","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AccountResumeCriteria"}},{"name":"excludeIgnored","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}}},"components":{"schemas":{"AccountResume":{"required":["accountType","bankCode","bankId","cashAccountType","identityId","ignored","name","totalAccounts","userLogin"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"resourceId":{"type":"string","description":"The account id from the banking API"},"bicfi":{"type":"string","description":"Business identification code"},"iban":{"type":"string","description":"The encrypted account's iban"},"name":{"maxLength":255,"minLength":0,"type":"string","description":"Account name"},"details":{"maxLength":255,"minLength":0,"type":"string","description":"For API, characteristics of the account or the revelant card"},"number":{"maxLength":128,"minLength":0,"type":"string","description":"The account number"},"usage":{"type":"string","description":"Usage type","enum":["ORGA","PRIV"]},"accountType":{"type":"string","description":"The account type","enum":["WEB","API"]},"cashAccountType":{"type":"string","description":"The cash account type","enum":["CARD","CACC","CASH","CHAR","CISH","COMM","CPAC","LLSV","LOAN","MGLD","MOMA","NREX","ODFT","ONDP","OTHR","SACC","SLRY","SVGS","TAXE","TRAN","TRAS"]},"product":{"maxLength":255,"minLength":0,"type":"string","description":"Product Name of the Bank for this account, proprietary definition"},"psuStatus":{"maxLength":255,"minLength":0,"type":"string","description":"Relationship between the PSU and the account - Account Holder - Co-account Holder - Attorney"},"createdDate":{"type":"string","description":"The creation date","format":"date-time"},"identityId":{"type":"integer","description":"The identifier id from IdentityProvider microservice","format":"int64"},"bankId":{"type":"integer","description":"The linked bank id to the current account","format":"int64"},"bankCode":{"maxLength":20,"minLength":2,"type":"string","description":"The spider id"},"userLogin":{"type":"string","description":"The user's login owner"},"endUserIdentity":{"maxLength":128,"minLength":0,"type":"string","description":"The name of the account owner"},"totalAccounts":{"type":"integer","description":"Total expected account to be extracted for a crawl job","format":"int32"},"linkedAccount":{"type":"string","description":"The linked account id from the banking API"},"lastExtractionDate":{"type":"string","description":"The creation date","format":"date-time"},"ignored":{"type":"boolean","description":"If true, this account is ignored and must not be processed by downstream adjustment flows"},"statements":{"type":"array","items":{"$ref":"#/components/schemas/Statement"}},"statement":{"type":"array","writeOnly":true,"items":{"$ref":"#/components/schemas/Statement"}}},"description":"AccountResume entity\n\n@author Mohamed MAKTOUF BOUHLEL"},"Balance":{"required":["amount","currency","name","referenceDate"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","description":"Name of the balance"},"currency":{"maxLength":3,"minLength":3,"type":"string","description":"The statement's balance currency"},"amount":{"type":"number","description":"The amount of the balance"},"type":{"type":"string","description":"The type of the balance","enum":["CLBD","XPCD","VALU","OTHR","PRCD","ITAV"]},"lastChangeDate":{"type":"string","description":"Timestamp of the last change of the balance amount","format":"date-time"},"referenceDate":{"type":"string","description":"Reference date for the balance","format":"date-time"},"lastCommittedTransaction":{"type":"string","description":"Identification of the last committed transaction. This is actually useful for instant balance."},"createdDate":{"type":"string","description":"The creation date","format":"date-time"},"statement":{"$ref":"#/components/schemas/Statement"}},"description":"Balance entity\n\n@author Mohamed MAKTOUF BOUHLEL"},"ExtractionError":{"required":["body","exception","hashedIdentifier","headers","traceback"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"exception":{"maxLength":128,"minLength":0,"type":"string","description":"Exception type from spiders"},"traceback":{"type":"string","description":"Traceback from spiders"},"body":{"type":"string","description":"The body of the response from the spider"},"headers":{"type":"string","description":"The headers of the response from the spider"},"hashedIdentifier":{"type":"string","description":"Hashed login for web scraping or end user identity for api"},"createdDate":{"type":"string","description":"The creation date","format":"date-time"},"extractionJob":{"$ref":"#/components/schemas/ExtractionJob"},"accountResume":{"$ref":"#/components/schemas/AccountResume"}},"description":"Error entity\n@author Mohamed MAKTOUF BOUHLEL"},"ExtractionJob":{"required":["accountType","bankCode","crawlid","identityId","userLogin","waitForBatch"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"crawlid":{"maxLength":36,"minLength":36,"type":"string","description":"The generated crawlid by the JobStrategy microservice"},"accountType":{"type":"string","description":"The account type","enum":["WEB","API"]},"identityId":{"type":"integer","description":"The identifier id from IdentityProvider microservice","format":"int64"},"bankId":{"type":"integer","description":"The linked bank id to the current account","format":"int64"},"bankCode":{"maxLength":20,"minLength":2,"type":"string","description":"The spider id"},"userLogin":{"type":"string","description":"The user's login owner"},"createdDate":{"type":"string","description":"The creation date","format":"date-time"},"waitForBatch":{"type":"boolean","description":"Whether the adjustment should wait for the next batch instead of realtime publication"},"extractionErrors":{"type":"array","items":{"$ref":"#/components/schemas/ExtractionError"}}},"description":"ExtractionJob entity\n\n@author Mohamed MAKTOUF BOUHLEL"},"Statement":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"createdDate":{"type":"string","description":"The creation date","format":"date-time"},"balances":{"type":"array","items":{"$ref":"#/components/schemas/Balance"}}},"description":"Statement entity\n\n@author Mohamed MAKTOUF BOUHLEL"},"Transaction":{"required":["amount","currency","status"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"resourceId":{"type":"string","description":"The transaction id from the banking API"},"entryReference":{"type":"string","description":"For API. Technical incremental identification of the transaction."},"amount":{"type":"number","description":"The amount of the transaction"},"currency":{"maxLength":3,"minLength":3,"type":"string","description":"The transaction's currency"},"status":{"type":"string","description":"The transaction status type (in case of api)","enum":["BOOK","PDNG","OTHR","FUTR"]},"label":{"type":"string","description":"The description of the transaction (remittanceInformation in case of API Banking)"},"bookingDate":{"type":"string","description":"The booking date","format":"date-time"},"valueDate":{"type":"string","description":"The value date (the one to use with the default date from web scraping)","format":"date-time"},"transactionDate":{"type":"string","description":"The transaction date","format":"date-time"},"createdDate":{"type":"string","description":"The transaction date","format":"date-time"},"statement":{"$ref":"#/components/schemas/Statement"}},"description":"Transaction entity\n@author Mohamed MAKTOUF BOUHLEL"},"BulkStatementDeleteVM":{"type":"object","properties":{"statementIds":{"type":"array","items":{"type":"integer","format":"int64"}}}},"DecompressRequestExtractionError":{"required":["field","id"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"field":{"type":"string","enum":["BODY","REQUEST_HEADERS"]}}},"UpdateAccountResumeIgnoredByIdentityAndNumberVM":{"required":["accountNumber","identityId","ignored"],"type":"object","properties":{"identityId":{"type":"integer","format":"int64"},"accountNumber":{"type":"string"},"ignored":{"type":"boolean"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}},"BigDecimalFilter":{"type":"object","properties":{"equals":{"type":"number"},"notEquals":{"type":"number"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"number"}},"notIn":{"type":"array","items":{"type":"number"}},"greaterThan":{"type":"number"},"lessThan":{"type":"number"},"greaterThanOrEqual":{"type":"number"},"lessThanOrEqual":{"type":"number"}}},"LocalDateTimeFilter":{"type":"object","properties":{"equals":{"type":"string","format":"date-time"},"notEquals":{"type":"string","format":"date-time"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","format":"date-time"}},"notIn":{"type":"array","items":{"type":"string","format":"date-time"}},"greaterThan":{"type":"string","format":"date-time"},"lessThan":{"type":"string","format":"date-time"},"greaterThanOrEqual":{"type":"string","format":"date-time"},"lessThanOrEqual":{"type":"string","format":"date-time"}}},"LongFilter":{"type":"object","properties":{"equals":{"type":"integer","format":"int64"},"notEquals":{"type":"integer","format":"int64"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"integer","format":"int64"}},"notIn":{"type":"array","items":{"type":"integer","format":"int64"}},"greaterThan":{"type":"integer","format":"int64"},"lessThan":{"type":"integer","format":"int64"},"greaterThanOrEqual":{"type":"integer","format":"int64"},"lessThanOrEqual":{"type":"integer","format":"int64"}}},"StringFilter":{"type":"object","properties":{"equals":{"type":"string"},"notEquals":{"type":"string"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string"}},"notIn":{"type":"array","items":{"type":"string"}},"contains":{"type":"string"},"doesNotContain":{"type":"string"}}},"TransactionCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"resourceId":{"$ref":"#/components/schemas/StringFilter"},"currency":{"$ref":"#/components/schemas/StringFilter"},"label":{"$ref":"#/components/schemas/StringFilter"},"entryReference":{"$ref":"#/components/schemas/StringFilter"},"status":{"$ref":"#/components/schemas/TransactionStatusTypeFilter"},"amount":{"$ref":"#/components/schemas/BigDecimalFilter"},"statementId":{"$ref":"#/components/schemas/LongFilter"},"bookingDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"valueDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"transactionDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"createdDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"}}},"TransactionStatusTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["BOOK","PDNG","OTHR","FUTR"]},"notEquals":{"type":"string","enum":["BOOK","PDNG","OTHR","FUTR"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["BOOK","PDNG","OTHR","FUTR"]}},"notIn":{"type":"array","items":{"type":"string","enum":["BOOK","PDNG","OTHR","FUTR"]}}}},"MultiValueMapStringString":{"type":"object","properties":{"all":{"type":"object","additionalProperties":{"type":"string"},"writeOnly":true},"empty":{"type":"boolean"}},"additionalProperties":{"type":"array","items":{"type":"string"}}},"StatementCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"createdDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"accountId":{"$ref":"#/components/schemas/LongFilter"},"extractionJobId":{"$ref":"#/components/schemas/LongFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"}}},"StatementForAdjustmentDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"extractionJob":{"$ref":"#/components/schemas/ExtractionJob"},"account":{"$ref":"#/components/schemas/AccountResume"},"balances":{"type":"array","items":{"$ref":"#/components/schemas/Balance"}}}},"AccountTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["WEB","API"]},"notEquals":{"type":"string","enum":["WEB","API"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["WEB","API"]}},"notIn":{"type":"array","items":{"type":"string","enum":["WEB","API"]}}}},"BooleanFilter":{"type":"object","properties":{"equals":{"type":"boolean"},"notEquals":{"type":"boolean"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"boolean"}},"notIn":{"type":"array","items":{"type":"boolean"}}}},"ExtractionJobCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"crawlid":{"$ref":"#/components/schemas/StringFilter"},"accountType":{"$ref":"#/components/schemas/AccountTypeFilter"},"identityId":{"$ref":"#/components/schemas/LongFilter"},"bankCode":{"$ref":"#/components/schemas/StringFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"},"createdDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"bankId":{"$ref":"#/components/schemas/LongFilter"},"waitForBatch":{"$ref":"#/components/schemas/BooleanFilter"}}},"ExtractionJobCompletionDTO":{"required":["crawlid","extractionJobId","status"],"type":"object","properties":{"extractionJobId":{"type":"integer","format":"int64","example":123},"crawlid":{"type":"string","example":"62d926ff-c124-4c1f-a123-cc53ca9da188"},"status":{"type":"string","enum":["IN_PROGRESS","SUCCEEDED","PARTIAL","FAILED"]},"finishedAt":{"type":"string","format":"date-time","nullable":true}},"description":"Stable, partner-facing completion state for an extraction job."},"ExtractionErrorCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"exception":{"$ref":"#/components/schemas/StringFilter"},"hashedIdentifier":{"$ref":"#/components/schemas/StringFilter"},"extractionJobId":{"$ref":"#/components/schemas/LongFilter"},"createdDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"},"accountResumeId":{"$ref":"#/components/schemas/LongFilter"}}},"ExtractionCompletionForAdjustmentDTO":{"type":"object","properties":{"extractionJobId":{"type":"integer","format":"int64"},"crawlid":{"type":"string"},"status":{"type":"string"},"endEventType":{"type":"string"},"expectedAccounts":{"type":"integer","format":"int32"},"persistedSuccessCount":{"type":"integer","format":"int32"},"persistedErrorCount":{"type":"integer","format":"int32"},"endEventReceived":{"type":"boolean"},"finishedAt":{"type":"string","format":"date-time"},"adjustmentPublishedAt":{"type":"string","format":"date-time"}}},"BalanceCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"amount":{"$ref":"#/components/schemas/BigDecimalFilter"},"name":{"$ref":"#/components/schemas/StringFilter"},"lastCommittedTransaction":{"$ref":"#/components/schemas/StringFilter"},"currency":{"$ref":"#/components/schemas/StringFilter"},"type":{"$ref":"#/components/schemas/BalanceTypeFilter"},"statementId":{"$ref":"#/components/schemas/LongFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"},"referenceDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"createdDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"lastChangeDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"}}},"BalanceTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["CLBD","XPCD","VALU","OTHR","PRCD","ITAV"]},"notEquals":{"type":"string","enum":["CLBD","XPCD","VALU","OTHR","PRCD","ITAV"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["CLBD","XPCD","VALU","OTHR","PRCD","ITAV"]}},"notIn":{"type":"array","items":{"type":"string","enum":["CLBD","XPCD","VALU","OTHR","PRCD","ITAV"]}}}},"Pageable":{"type":"object","properties":{"page":{"minimum":0,"type":"integer","format":"int32"},"size":{"minimum":1,"type":"integer","format":"int32"},"sort":{"type":"array","items":{"type":"string"}}}},"AdminUserDTO":{"required":["login"],"type":"object","properties":{"id":{"type":"string"},"login":{"maxLength":50,"minLength":1,"pattern":"^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":10,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}},"AccountResumeCriteria":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/LongFilter"},"bankCode":{"$ref":"#/components/schemas/StringFilter"},"bankId":{"$ref":"#/components/schemas/LongFilter"},"resourceId":{"$ref":"#/components/schemas/StringFilter"},"product":{"$ref":"#/components/schemas/StringFilter"},"usage":{"$ref":"#/components/schemas/AccountResumeUsageTypeFilter"},"accountType":{"$ref":"#/components/schemas/AccountTypeFilter"},"psuStatus":{"$ref":"#/components/schemas/StringFilter"},"linkedAccount":{"$ref":"#/components/schemas/StringFilter"},"bicfi":{"$ref":"#/components/schemas/StringFilter"},"userLogin":{"$ref":"#/components/schemas/StringFilter"},"number":{"$ref":"#/components/schemas/StringFilter"},"createdDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"},"identityId":{"$ref":"#/components/schemas/LongFilter"},"iban":{"$ref":"#/components/schemas/StringFilter"},"name":{"$ref":"#/components/schemas/StringFilter"},"details":{"$ref":"#/components/schemas/StringFilter"},"totalAccounts":{"$ref":"#/components/schemas/IntegerFilter"},"endUserIdentity":{"$ref":"#/components/schemas/StringFilter"},"cashAccountType":{"$ref":"#/components/schemas/CashAccountTypeFilter"},"lastExtractionDate":{"$ref":"#/components/schemas/LocalDateTimeFilter"}}},"AccountResumeUsageTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["ORGA","PRIV"]},"notEquals":{"type":"string","enum":["ORGA","PRIV"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["ORGA","PRIV"]}},"notIn":{"type":"array","items":{"type":"string","enum":["ORGA","PRIV"]}}}},"CashAccountTypeFilter":{"type":"object","properties":{"equals":{"type":"string","enum":["CARD","CACC","CASH","CHAR","CISH","COMM","CPAC","LLSV","LOAN","MGLD","MOMA","NREX","ODFT","ONDP","OTHR","SACC","SLRY","SVGS","TAXE","TRAN","TRAS"]},"notEquals":{"type":"string","enum":["CARD","CACC","CASH","CHAR","CISH","COMM","CPAC","LLSV","LOAN","MGLD","MOMA","NREX","ODFT","ONDP","OTHR","SACC","SLRY","SVGS","TAXE","TRAN","TRAS"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["CARD","CACC","CASH","CHAR","CISH","COMM","CPAC","LLSV","LOAN","MGLD","MOMA","NREX","ODFT","ONDP","OTHR","SACC","SLRY","SVGS","TAXE","TRAN","TRAS"]}},"notIn":{"type":"array","items":{"type":"string","enum":["CARD","CACC","CASH","CHAR","CISH","COMM","CPAC","LLSV","LOAN","MGLD","MOMA","NREX","ODFT","ONDP","OTHR","SACC","SLRY","SVGS","TAXE","TRAN","TRAS"]}}}},"IntegerFilter":{"type":"object","properties":{"equals":{"type":"integer","format":"int32"},"notEquals":{"type":"integer","format":"int32"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"integer","format":"int32"}},"notIn":{"type":"array","items":{"type":"integer","format":"int32"}},"greaterThan":{"type":"integer","format":"int32"},"lessThan":{"type":"integer","format":"int32"},"greaterThanOrEqual":{"type":"integer","format":"int32"},"lessThanOrEqual":{"type":"integer","format":"int32"}}},"IncompleteCrawledAccount":{"type":"object","properties":{"identityId":{"type":"integer","format":"int64"},"accountType":{"type":"string","enum":["WEB","API"]},"lastExtractionDate":{"type":"string","format":"date-time"}}}},"securitySchemes":{"bearerAuth":{"type":"http","in":"header","scheme":"bearer","bearerFormat":"JWT"}}}}